Bug 1351603 (CVE-2016-6128)

Summary: CVE-2016-6128 gd: Invalid color index not properly handled
Product: [Other] Security Response Reporter: Adam Mariš <amaris>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: abhgupta, caolanm, carnil, dmcphers, dmoppert, fedora, hhorak, jialiu, jmlich83, jokerman, jorton, kseifried, lmeyer, mmccomas, mskalick, rcollet, slawomir, tiwillia, varekova, webstack-team
Target Milestone: ---Keywords: Reopened, Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: php 5.6.25, php 7.0.10 Doc Type: If docs needed, set a value
Doc Text:
It was found that libgd did not properly handle invalid color indexes in GD files. An attacker who could submit a crafted GD file for conversion could cause applications using libgd to crash, leading to denial of service.
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-08-25 04:20:55 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1351604, 1370014    
Bug Blocks: 1351605    

Description Adam Mariš 2016-06-30 12:19:05 UTC
It was found that libgd did not properly handle invalid color index, which could lead to a denial of service against applications using the libgd library.

Upstream patches:

https://github.com/libgd/libgd/compare/3fe0a7128bac5000fdcfab888bd2a75ec0c9447d...fd623025505e87bba7ec8555eeb72dae4fb0afd

CVE assignment:

http://seclists.org/oss-sec/2016/q2/627

Comment 1 Adam Mariš 2016-06-30 12:19:33 UTC
Created gd tracking bugs for this issue:

Affects: fedora-all [bug 1351604]

Comment 2 Doran Moppert 2016-07-06 04:49:05 UTC
The functionality affected by this flaw was introduced after gd-2.0.35, which is the latest version packaged in RHEL.

Comment 5 Doran Moppert 2016-07-07 05:05:49 UTC
The impact of this flaw is limited by gd_security.c:  specifying an out of
range colour will cause out-of-bounds reads in gdImageCropThreshold, which can
lead to an attempt to crop the image to an invalid size.  Bounds checks in
gdImageCrop* functions ensure that no OOB data is copied into the final image,
and overflow2() prevents allocations from failing due to overflow/negative
sizes.

Maximum impact is a crash, but CVSS needs to reflect AV:N.

Comment 8 Doran Moppert 2016-08-25 04:16:17 UTC
Statement:

Red Hat Product Security has rated this issue as having Low security
impact. This issue is not currently planned to be addressed in future
updates. For additional information, refer to the Issue Severity
Classification: https://access.redhat.com/security/updates/classification/.

Comment 9 Doran Moppert 2016-08-25 04:17:50 UTC
Created php tracking bugs for this issue:

Affects: fedora-all [bug 1370014]

Comment 10 errata-xmlrpc 2016-11-15 11:42:27 UTC
This issue has been addressed in the following products:

  Red Hat Software Collections for Red Hat Enterprise Linux 6
  Red Hat Software Collections for Red Hat Enterprise Linux 6.7 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7
  Red Hat Software Collections for Red Hat Enterprise Linux 7.2 EUS
  Red Hat Software Collections for Red Hat Enterprise Linux 7.3 EUS

Via RHSA-2016:2750 https://rhn.redhat.com/errata/RHSA-2016-2750.html